
/* Initng, a next generation sysvinit replacement.
 * Copyright (C) 2005 Jimmy Wennlund <jimmy.wennlund@gmail.com>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General
 * Public License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place, Suite 330,
 * Boston, MA 02111-1307, USA.
 */

#ifndef INITNG_MAIN_H
#define INITNG_MAIN_H
#include <sys/types.h>
#include <unistd.h>
#include "initng_service_cache.h"
#include "initng_process_db.h"
#include "initng_global.h"
void exit_initng(int i);
void exec_halt(void);
void exec_reboot(void);
void restart_initng(void);
void new_init(void);
void set_sys_state(h_sys_state state);
void sys_state_services_loaded(void);

int ready_to_quit(void);
void when_out(void);
void su_login(void);
void start_extra_services(void);
int blacklist_add(const char *sname);

void initng_segfault(void);

void initng_set_runlevel(const char *runlevel);

#endif
