
/* Initng, a next generation sysvinit replacement.
 * Copyright (C) 2005 Jimmy Wennlund <jimmy.wennlund@gmail.com>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General
 * Public License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place, Suite 330,
 * Boston, MA 02111-1307, USA.
 */

#ifndef INITNG_HANDLER_H
#define INITNG_HANDLER_H
#include <sys/types.h>
#include <unistd.h>
#include <time.h>
#include "initng_active_db.h"

int start_service(active_h * service);
int stop_service(active_h * service);
int restart_service(active_h * service);
active_h *start_new_service_named(const char *service);
void initng_run_interrupt_handlers(void);
void term_stopping_services(void);
int stop_all(void);
#endif
